Ask Your Question
2

libGL error: failed to load driver: swrast

asked 2013-07-29 04:23:36 -0600

Grieverheart gravatar image

Hello. I'm trying to run the game Braid on fedora 19 (kernel 3.10.3-300.fc19) and I'm getting the following error:

libGL error: failed to load driver: swrast
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
X Error of failed request:  GLXUnsupportedPrivateRequest
  Major opcode of failed request:  152 (GLX)
  Minor opcode of failed request:  16 (X_GLXVendorPrivate)
  Serial number of failed request:  34
  Current serial number in output stream:  35

glxinfo gives the following for the OpenGL version:

OpenGL core profile version string: 4.3.0 NVIDIA 319.32

The nvidia drivers are installed using akmod-nvidia.

This seems to be related to bug 984906 on red hat bugzilla (sorry, I cannot post links), which mentions running

sudo rpm -e mesa-libGL.i686 --nodeps
sudo rpm -e mesa-libGL.x86_64 --nodeps

which doesn't work for me. Could someone help me fix this problem?

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
5

answered 2013-10-03 21:30:47 -0600

Ved Vyas gravatar image

Things to check:

1) Is your braid executable 32-bit or 64-bit?

2) Sounds like you installed the NVIDIA proprietary driver. Was it from a repository, and if so, which packages did you install? If the executable is 32-bit and you're running a 64-bit system, be sure to also install xorg-x11-drv-nvidia-libs.i686.

3) What's the output of rpm -qa | grep -i nvidia?

4) Does running cat /etc/ld.so.conf.d/nvidia-lib64.conf output /usr/lib64/nvidia and cat /etc/ld.so.conf.d/nvidia-lib.conf output /usr/lib/nvidia?

Have you tried reinstalling, e.g., sudo yum reinstall xorg-x11-drv-nvidia-libs.{x86_64,i686}?

edit flag offensive delete link more

Comments

Thank you! Your second item listed solved my problem.

Eddie gravatar imageEddie ( 2013-10-24 23:37:43 -0600 )edit

When having an old gpu, you may need to specify its driver version, like xorg-x11-drv-nvidia-340xx-libs.i686

raittes gravatar imageraittes ( 2015-08-01 00:56:09 -0600 )edit
1

answered 2013-12-16 16:36:36 -0600

pjunod gravatar image

I had this error and installing xorg-x11-drv-nvidia-libs.i686 fixed it.

edit flag offensive delete link more
0

answered 2016-01-04 16:03:16 -0600

I solved this error on Feodra 23 64bit, Nvidia Driver Version 358.16, steam is of course 32bit.

I just installed the 32bit libs package:

nvidia-driver-libs-358.16-1.fc23.i686
edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-07-29 04:23:36 -0600

Seen: 22,293 times

Last updated: Jan 04 '16